<?xml version="1.0" encoding="UTF-8"?>
<!--
  ~ #%L
  ~ chvote-pact
  ~ %%
  ~ Copyright (C) 2016 - 2018 République et Canton de Genève
  ~ %%
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
  ~ GNU General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  ~ #L%
  -->

<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>
    <parent>
        <groupId>ch.ge.ve</groupId>
        <artifactId>pact-back</artifactId>
        <version>0.0.5</version>
    </parent>

    <artifactId>pact-back-fixtures</artifactId>
    <packaging>jar</packaging>

    <properties>
        <sonar.coverage.exclusions>
            src/main/java/ch/ge/ve/chvote/pactback/**/*Builder.java,
            src/main/java/ch/ge/ve/chvote/pactback/fixtures/contract/**/*,
            src/main/java/ch/ge/ve/chvote/pactback/fixtures/repository/**/*
        </sonar.coverage.exclusions>
    </properties>

    <dependencies>
        <!-- CHVote dependencies -->
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>pact-back-contract</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>${project.groupId}</groupId>
            <artifactId>pact-back-repository</artifactId>
            <version>${project.version}</version>
        </dependency>
        <dependency>
            <groupId>ch.ge.ve</groupId>
            <artifactId>jackson-serializer</artifactId>
        </dependency>

        <!-- Additional dependencies -->
        <dependency>
            <groupId>com.google.guava</groupId>
            <artifactId>guava</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.core</groupId>
            <artifactId>jackson-databind</artifactId>
        </dependency>
        <dependency>
            <groupId>com.fasterxml.jackson.datatype</groupId>
            <artifactId>jackson-datatype-jsr310</artifactId>
        </dependency>

        <!-- Test dependencies -->
        <dependency>
            <groupId>org.spockframework</groupId>
            <artifactId>spock-core</artifactId>
            <scope>test</scope>
        </dependency>
    </dependencies>
</project>